import numpy as np

def solve_cubic(a, b, c, d):
	
    b = b / a
    c = c / a
    d = d / a
    M = np.array([[0., 0., -d], [1., 0., -c], [0., 1., -b]])
    return np.linalg.eigvals(M)

if __name__ == '__main__':
    print(solve_cubic(1., 2., 3., 4.))